#input data
setwd('F:/drawpicture/')
data=read.csv('F:/drawpicture/input/hour-data.csv')
a1=data[1:24,]
a2=data[25:48,]
a3=data[49:72,]
a4=data[73:96,]
a6=data[97:120,]
a7=data[121:144,]

#draw picture
png(filename = 'F:/drawpicture/output/hour.png',width = 1200,height = 1000)
layout(matrix(c(1,2,3,1,4,5,1,6,7,1,8,9,1,10,10),5,3,byrow = T),heights = c(2,2,2,2,0.5),widths = c(0.7,7,7))
cex1=2.5
cex2=2.5
cex3=2.5
cex4=1.8
lwd1=2.5

par(mai=c(0,0.4,0.5,0))
plot(1,type = "n",yaxt="n",xaxt="n",xlab="",ylab="",cex.lab=cex1,bty='n')
mtext(side=2, text="Value", out=F, las=0,cex = cex3)
par(mar=c(0.5,3,0.5,0.5),cex=1)

n1=1##
plot(a1[,1],col="#440154",type = 'o',pch=16,ylim=c(0,0.15),xlab = '',ylab='',xaxt="n",yaxt="n",cex=cex4,cex.lab=cex1,cex.axis=cex1,lwd=lwd1);par(new=T) 
plot(a2[,1],col="#414287",type = 'o',pch=16,ylim=c(0,0.15),xlab = '',ylab='',xaxt="n",yaxt="n",cex=cex4,cex.lab=cex1,cex.axis=cex1,lwd=lwd1);par(new=T)
plot(a3[,1],col="#2c718e",type = 'o',pch=16,ylim=c(0,0.15),xlab = '',ylab='',xaxt="n",yaxt="n",cex=cex4,cex.lab=cex1,cex.axis=cex1,lwd=lwd1);par(new=T) 
plot(a4[,1],col="#1fa188",type = 'o',pch=16,ylim=c(0,0.15),xlab = '',ylab='',xaxt="n",yaxt="n",cex=cex4,cex.lab=cex1,cex.axis=cex1,lwd=lwd1);par(new=T)
plot(a6[,1],col="#65cb5e",type = 'o',pch=16,ylim=c(0,0.15),xlab = '',ylab='',xaxt="n",yaxt="n",cex=cex4,cex.lab=cex1,cex.axis=cex1,lwd=lwd1);par(new=T) 
plot(a7[,1],col="#fde725",type = 'o',pch=16,ylim=c(0,0.15),xlab = '',ylab='',xaxt="n",yaxt="n",cex=cex4,cex.lab=cex1,cex.axis=cex1,lwd=lwd1)
axis(1,at=c(0,4,8,12,16,20,24),labels = c('','','','','','',''),cex.axis=cex2,lwd.ticks = lwd1)
axis(2,at=c(0,0.05,0.1,0.15),labels = c('0','','0.1',''),cex.axis=cex2,lwd.ticks = lwd1)
text(1,0.14,adj=0,labels = 'mainly bird',cex=cex2)
rect(0.15,-0.006, 24.91, 0.155,lwd=lwd1)

plot(-1,xlim = c(0,1),ylim=c(0,1),bty='n',yaxt='n',xaxt='n',xlab='',ylab = '')
legend(0.2,0.9,pch=16,legend=c('site1','site2','site3'), 
       col = c('#440154','#414287','#2c718e'),cex = cex2,bty = 'n')
legend(0.45,0.9,pch=16,legend=c('site4','site5','site6'), 
       col = c('#1fa188','#65cb5e','#fde725'),cex = cex2,bty = 'n')

n1=2##
plot(a1[,n1],col="#440154",type = 'o',pch=16,ylim=c(0,0.15),xlab = '',ylab='',xaxt="n",yaxt="n",cex=cex4,cex.lab=cex1,cex.axis=cex1,lwd=lwd1);par(new=T) 
plot(a2[,n1],col="#414287",type = 'o',pch=16,ylim=c(0,0.15),xlab = '',ylab='',xaxt="n",yaxt="n",cex=cex4,cex.lab=cex1,cex.axis=cex1,lwd=lwd1);par(new=T)
plot(a3[,n1],col="#2c718e",type = 'o',pch=16,ylim=c(0,0.15),xlab = '',ylab='',xaxt="n",yaxt="n",cex=cex4,cex.lab=cex1,cex.axis=cex1,lwd=lwd1);par(new=T) 
plot(a4[,n1],col="#1fa188",type = 'o',pch=16,ylim=c(0,0.15),xlab = '',ylab='',xaxt="n",yaxt="n",cex=cex4,cex.lab=cex1,cex.axis=cex1,lwd=lwd1);par(new=T)
plot(a6[,n1],col="#65cb5e",type = 'o',pch=16,ylim=c(0,0.15),xlab = '',ylab='',xaxt="n",yaxt="n",cex=cex4,cex.lab=cex1,cex.axis=cex1,lwd=lwd1);par(new=T) 
plot(a7[,n1],col="#fde725",type = 'o',pch=16,ylim=c(0,0.15),xlab = '',ylab='',xaxt="n",yaxt="n",cex=cex4,cex.lab=cex1,cex.axis=cex1,lwd=lwd1)
axis(1,at=c(0,4,8,12,16,20,24),labels = c('','','','','','',''),cex.axis=cex2,lwd.ticks = lwd1)
axis(2,at=c(0,0.05,0.1,0.15),labels = c('0','','0.1',''),cex.axis=cex2,lwd.ticks = lwd1)
text(1,0.14,adj=0,labels = 'mainly insect',cex=cex2)
rect(0.15,-0.006, 24.91, 0.155,lwd=lwd1)

n1=3##
plot(a1[,n1],col="#440154",type = 'o',pch=16,ylim=c(0,0.15),xlab = '',ylab='',xaxt="n",yaxt="n",cex=cex4,cex.lab=cex1,cex.axis=cex1,lwd=lwd1);par(new=T) 
plot(a2[,n1],col="#414287",type = 'o',pch=16,ylim=c(0,0.15),xlab = '',ylab='',xaxt="n",yaxt="n",cex=cex4,cex.lab=cex1,cex.axis=cex1,lwd=lwd1);par(new=T)
plot(a3[,n1],col="#2c718e",type = 'o',pch=16,ylim=c(0,0.15),xlab = '',ylab='',xaxt="n",yaxt="n",cex=cex4,cex.lab=cex1,cex.axis=cex1,lwd=lwd1);par(new=T) 
plot(a4[,n1],col="#1fa188",type = 'o',pch=16,ylim=c(0,0.15),xlab = '',ylab='',xaxt="n",yaxt="n",cex=cex4,cex.lab=cex1,cex.axis=cex1,lwd=lwd1);par(new=T)
plot(a6[,n1],col="#65cb5e",type = 'o',pch=16,ylim=c(0,0.15),xlab = '',ylab='',xaxt="n",yaxt="n",cex=cex4,cex.lab=cex1,cex.axis=cex1,lwd=lwd1);par(new=T) 
plot(a7[,n1],col="#fde725",type = 'o',pch=16,ylim=c(0,0.15),xlab = '',ylab='',xaxt="n",yaxt="n",cex=cex4,cex.lab=cex1,cex.axis=cex1,lwd=lwd1)
axis(1,at=c(0,4,8,12,16,20,24),labels = c('','','','','','',''),cex.axis=cex2,lwd.ticks = lwd1)
axis(2,at=c(0,0.05,0.1,0.15),labels = c('0','','0.1',''),cex.axis=cex2,lwd.ticks = lwd1)
text(1,0.14,adj=0,labels = 'mainly rain',cex=cex2)
rect(0.1,-0.006, 24.91, 0.155,lwd=lwd1)

n1=4##
plot(a1[,n1],col="#440154",type = 'o',pch=16,ylim=c(0,0.15),xlab = '',ylab='',xaxt="n",yaxt="n",cex=cex4,cex.lab=cex1,cex.axis=cex1,lwd=lwd1);par(new=T) 
plot(a2[,n1],col="#414287",type = 'o',pch=16,ylim=c(0,0.15),xlab = '',ylab='',xaxt="n",yaxt="n",cex=cex4,cex.lab=cex1,cex.axis=cex1,lwd=lwd1);par(new=T)
plot(a3[,n1],col="#2c718e",type = 'o',pch=16,ylim=c(0,0.15),xlab = '',ylab='',xaxt="n",yaxt="n",cex=cex4,cex.lab=cex1,cex.axis=cex1,lwd=lwd1);par(new=T) 
plot(a4[,n1],col="#1fa188",type = 'o',pch=16,ylim=c(0,0.15),xlab = '',ylab='',xaxt="n",yaxt="n",cex=cex4,cex.lab=cex1,cex.axis=cex1,lwd=lwd1);par(new=T)
plot(a6[,n1],col="#65cb5e",type = 'o',pch=16,ylim=c(0,0.15),xlab = '',ylab='',xaxt="n",yaxt="n",cex=cex4,cex.lab=cex1,cex.axis=cex1,lwd=lwd1);par(new=T) 
plot(a7[,n1],col="#fde725",type = 'o',pch=16,ylim=c(0,0.15),xlab = '',ylab='',xaxt="n",yaxt="n",cex=cex4,cex.lab=cex1,cex.axis=cex1,lwd=lwd1)
axis(1,at=c(0,4,8,12,16,20,24),labels = c('','','','','','',''),cex.axis=cex2,lwd.ticks = lwd1)
axis(2,at=c(0,0.05,0.1,0.15),labels = c('0','','0.1',''),cex.axis=cex2,lwd.ticks = lwd1)
text(1,0.14,adj=0,labels = 'no obvious biophony',cex=cex2)
rect(0.15,-0.006, 24.91, 0.1553,lwd=lwd1)

n1=5##
plot(a1[,n1],col="#440154",type = 'o',pch=16,ylim=c(0,0.15),xlab = '',ylab='',xaxt="n",yaxt="n",cex=cex4,cex.lab=cex1,cex.axis=cex1,lwd=lwd1);par(new=T) 
plot(a2[,n1],col="#414287",type = 'o',pch=16,ylim=c(0,0.15),xlab = '',ylab='',xaxt="n",yaxt="n",cex=cex4,cex.lab=cex1,cex.axis=cex1,lwd=lwd1);par(new=T)
plot(a3[,n1],col="#2c718e",type = 'o',pch=16,ylim=c(0,0.15),xlab = '',ylab='',xaxt="n",yaxt="n",cex=cex4,cex.lab=cex1,cex.axis=cex1,lwd=lwd1);par(new=T) 
plot(a4[,n1],col="#1fa188",type = 'o',pch=16,ylim=c(0,0.15),xlab = '',ylab='',xaxt="n",yaxt="n",cex=cex4,cex.lab=cex1,cex.axis=cex1,lwd=lwd1);par(new=T)
plot(a6[,n1],col="#65cb5e",type = 'o',pch=16,ylim=c(0,0.15),xlab = '',ylab='',xaxt="n",yaxt="n",cex=cex4,cex.lab=cex1,cex.axis=cex1,lwd=lwd1);par(new=T) 
plot(a7[,n1],col="#fde725",type = 'o',pch=16,ylim=c(0,0.15),xlab = '',ylab='',xaxt="n",yaxt="n",cex=cex4,cex.lab=cex1,cex.axis=cex1,lwd=lwd1)
axis(1,at=c(0,4,8,12,16,20,24),labels = c('','','','','','',''),cex.axis=cex2,lwd.ticks = lwd1)
axis(2,at=c(0,0.05,0.1,0.15),labels = c('0','','0.1',''),cex.axis=cex2,lwd.ticks = lwd1)
text(1,0.14,adj=0,labels = 'bird and insect',cex=cex2)
rect(0.1,-0.006, 24.91, 0.1553,lwd=lwd1)

n1=6##
plot(a1[,n1],col="#440154",type = 'o',pch=16,ylim=c(0,0.7),xlab = '',ylab='',xaxt="n",yaxt="n",cex=cex4,cex.lab=cex1,cex.axis=cex1,lwd=lwd1);par(new=T) 
plot(a2[,n1],col="#414287",type = 'o',pch=16,ylim=c(0,0.7),xlab = '',ylab='',xaxt="n",yaxt="n",cex=cex4,cex.lab=cex1,cex.axis=cex1,lwd=lwd1);par(new=T)
plot(a3[,n1],col="#2c718e",type = 'o',pch=16,ylim=c(0,0.7),xlab = '',ylab='',xaxt="n",yaxt="n",cex=cex4,cex.lab=cex1,cex.axis=cex1,lwd=lwd1);par(new=T) 
plot(a4[,n1],col="#1fa188",type = 'o',pch=16,ylim=c(0,0.7),xlab = '',ylab='',xaxt="n",yaxt="n",cex=cex4,cex.lab=cex1,cex.axis=cex1,lwd=lwd1);par(new=T)
plot(a6[,n1],col="#65cb5e",type = 'o',pch=16,ylim=c(0,0.7),xlab = '',ylab='',xaxt="n",yaxt="n",cex=cex4,cex.lab=cex1,cex.axis=cex1,lwd=lwd1);par(new=T) 
plot(a7[,n1],col="#fde725",type = 'o',pch=16,ylim=c(0,0.7),xlab = '',ylab='',xaxt="n",yaxt="n",cex=cex4,cex.lab=cex1,cex.axis=cex1,lwd=lwd1)
axis(1,at=c(0,4,8,12,16,20,24),labels = c(0,4,8,12,16,20,24),cex.axis=cex2,lwd.ticks = lwd1)
axis(2,at=c(0,0.2,0.4,0.6),labels = c('0','','0.4',''),cex.axis=cex2,lwd.ticks = lwd1)
text(1,0.64,adj=0,labels = 'bird and rain',cex=cex2)
rect(0.15,-0.027, 24.91, 0.723,lwd=lwd1)

n1=7##
plot(a1[,n1],col="#440154",type = 'o',pch=16,ylim=c(0,0.3),xlab = '',ylab='',xaxt="n",yaxt="n",cex=cex4,cex.lab=cex1,cex.axis=cex1,lwd=lwd1);par(new=T) 
plot(a2[,n1],col="#414287",type = 'o',pch=16,ylim=c(0,0.3),xlab = '',ylab='',xaxt="n",yaxt="n",cex=cex4,cex.lab=cex1,cex.axis=cex1,lwd=lwd1);par(new=T)
plot(a3[,n1],col="#2c718e",type = 'o',pch=16,ylim=c(0,0.3),xlab = '',ylab='',xaxt="n",yaxt="n",cex=cex4,cex.lab=cex1,cex.axis=cex1,lwd=lwd1);par(new=T) 
plot(a4[,n1],col="#1fa188",type = 'o',pch=16,ylim=c(0,0.3),xlab = '',ylab='',xaxt="n",yaxt="n",cex=cex4,cex.lab=cex1,cex.axis=cex1,lwd=lwd1);par(new=T)
plot(a6[,n1],col="#65cb5e",type = 'o',pch=16,ylim=c(0,0.3),xlab = '',ylab='',xaxt="n",yaxt="n",cex=cex4,cex.lab=cex1,cex.axis=cex1,lwd=lwd1);par(new=T) 
plot(a7[,n1],col="#fde725",type = 'o',pch=16,ylim=c(0,0.3),xlab = '',ylab='',xaxt="n",yaxt="n",cex=cex4,cex.lab=cex1,cex.axis=cex1,lwd=lwd1)
axis(1,at=c(0,4,8,12,16,20,24),labels = c(0,4,8,12,16,20,24),cex.axis=cex2,lwd.ticks = lwd1)
axis(2,at=c(0,0.1,0.2,0.3),labels = c('0','','0.2',''),cex.axis=cex2,lwd.ticks = lwd1)
text(1,0.27,adj=0,labels = 'biophony and anthropophony',cex=cex2)
rect(0.1,-0.012, 24.91, 0.31,lwd=lwd1)

#
par(mar=c(1,1,0.1,1),cex=1)
plot(1,type = "n",yaxt="n",xaxt="n",xlab="",ylab="",cex.lab=cex1,bty='n')
mtext(side=1, text="Hour", out=F,las=0,cex = cex3)

dev.off()







