#input data
data=read.csv('F:/drawpicture/input/hour-month-data.csv')
data=as.matrix(data)

day1=data[1:185,]
day2=data[186:370,]
day3=data[371:555,]
day4=data[556:740,]
day5=data[741:925,]
day6=data[926:1110,]

#draw picture
png(filename = 'F:/drawpicture/output/visual-soundscape.png',width = 1200,height = 1000)
layout(matrix(c(1,2,1,3,1,4,1,5,1,6,1,7,1,8,9,9),8,2,byrow = T),heights = c(3,3,3,3,3,3,3,1),widths = c(0.5,7))
cex1=2.5
cex2=2.5
cex3=2.5
lwd1=2.5

par(mai=c(0,0.4,0.5,0))
plot(1,type = "n",yaxt="n",xaxt="n",xlab="",ylab="",cex.lab=cex1,bty='n')
mtext(side=2, text="Hour", out=F, las=0,cex = cex3)

wmcolor=c('#009E73','#D55E00','cyan','black','yellow','blue','orange')

par(mar=c(0,1.5,0,4),cex=1)
plot(-0.1,type = "n",xlim=c(0.6,1.2),ylim=c(-0.2,-0.035),bty='n',yaxt='n',xaxt='n',xlab='',ylab = '')
legend(0.57,0,xpd=TRUE,horiz = T,bty='n',box.lty=0,pch=15,text.width=0.2,
       legend=c('mainly bird','mainly insect','mainly rain'), 
       col = c('#009E73','#D55E00','cyan'),cex = cex1)
legend(0.57,-0.05,xpd=TRUE,horiz = T,bty='n',box.lty=0,pch=15,text.width=0.2,
       legend=c('no obvious biophony','bird and insect'), 
       col = c('black','yellow'),cex = cex1)
legend(0.57,-0.1,xpd=TRUE,horiz = T,bty='n',box.lty=0,pch=15,text.width=0.2,
       legend=c('bird and rain','biophony and anthropophony'), 
       col = c('blue','orange'),cex = cex1)

par(mar=c(1,1,0.1,5.5),cex=1)

image(day1,col=wmcolor,cex.lab=cex1,axes = FALSE)
axis(1,at =c(0,0.15,0.31,0.47,0.64,0.81,0.97),labels = c('','','','','','',''),cex.axis=cex1,lwd.ticks = lwd1)
axis(2,at =c(0,0.33,0.66,1),labels = c('0','8','16','24'),cex.axis=cex1,lwd.ticks = lwd1)
axis(4,at =c(0.5),labels = c('site1'),tick = F,cex.axis=cex1,las = 1,lwd.ticks = lwd1)
axis(3,at=c(0,1),labels=c('',''),tick = F,cex.axis=cex1,las = 1,lwd.ticks = lwd1)
rect(-0.0023,0, 1.001, 1,lwd=lwd1)

image(day2,col=wmcolor,cex.lab=cex1,axes = FALSE)
axis(1,at =c(0,0.15,0.31,0.47,0.64,0.81,0.97),labels = c('','','','','','',''),cex.axis=cex1,lwd.ticks = lwd1)
axis(2,at =c(0,0.33,0.66,1),labels = c('0','8','16','24'),cex.axis=cex1,lwd.ticks = lwd1)
axis(4,at =c(0.5),labels = c('site2'),tick = F,cex.axis=cex1,las = 1,lwd.ticks = lwd1)
rect(-0.0023,0, 1.001, 1,lwd=lwd1)

image(day3,col=wmcolor,cex.lab=cex1,axes = FALSE)
axis(1,at =c(0,0.15,0.31,0.47,0.64,0.81,0.97),labels = c('','','','','','',''),cex.axis=cex1,lwd.ticks = lwd1)
axis(2,at =c(0,0.33,0.66,1),labels = c('0','8','16','24'),cex.axis=cex1,lwd.ticks = lwd1)
axis(4,at =c(0.5),labels = c('site3'),tick = F,cex.axis=cex1,las = 1,lwd.ticks = lwd1)
rect(-0.0023,0, 1.001, 1,lwd=lwd1)

image(day4,col=wmcolor,cex.lab=cex1,axes = FALSE)
axis(1,at =c(0,0.15,0.31,0.47,0.64,0.81,0.97),labels = c('','','','','','',''),cex.axis=cex1,lwd.ticks = lwd1)
axis(2,at =c(0,0.33,0.66,1),labels = c('0','8','16','24'),cex.axis=cex1,lwd.ticks = lwd1)
axis(4,at =c(0.5),labels = c('site4'),tick = F,cex.axis=cex1,las = 1,lwd.ticks = lwd1)
rect(-0.0023,0, 1.001, 1,lwd=lwd1)

image(day5,col=wmcolor,cex.lab=cex1,axes = FALSE)
axis(1,at =c(0,0.15,0.31,0.47,0.64,0.81,0.97),labels = c('','','','','','',''),cex.axis=cex1,lwd.ticks = lwd1)
axis(2,at =c(0,0.33,0.66,1),labels = c('0','8','16','24'),cex.axis=cex1,lwd.ticks = lwd1)
axis(4,at =c(0.5),labels = c('site5'),tick = F,cex.axis=cex1,las = 1,lwd.ticks = lwd1)
rect(-0.0023,0, 1.001, 1,lwd=lwd1)

image(day6,col=wmcolor,cex.lab=cex1,axes = FALSE)
axis(1,at =c(0,0.15,0.31,0.47,0.64,0.81,0.97),labels = c('Apr.','May.','Jun.','Jul.','Aug.','Sept.','Oct.'),cex.axis=cex1,lwd.ticks = lwd1)
axis(2,at =c(0,0.33,0.66,1),labels = c('0','8','16','24'),cex.axis=cex1,lwd.ticks = lwd1)
axis(4,at =c(0.5),labels = c('site6'),tick = F,cex.axis=cex1,las = 1,lwd.ticks = lwd1)
rect(-0.0023,0, 1.001, 1,lwd=lwd1)

plot(1,type = "n",yaxt="n",xaxt="n",xlab="",ylab="",cex.lab=cex1,bty='n')
mtext(side=1, text="Month", out=F,las=0,cex = cex3)

dev.off()



